---
names: 
  full: "Google Cloud MySQL Instance Local_infile Database Flag is not set to off"
  contextual: "MySQL Instance Local_infile Database Flag is not set to off"
description: "It is recommended to set the `local_infile` database flag for a Cloud SQL MySQL instance to `off`."
type: COMPLIANCE_POLICY
categories:
  - "RELIABILITY"
frameworkMappings:
  - /frameworks/cis-gcp-v3.0.0/06/01/03
  - /frameworks/cloudaware/resource-reliability/system-configuration
  - /frameworks/nist-sp-800-53-r5/cm/06
  - /frameworks/nist-sp-800-53-r5/cm/07
  - /frameworks/pci-dss-v4.0/02/02/01
  - /frameworks/iso-iec-27001-2022/08/08
  - /frameworks/nist-csf-v1.1/pr-ip/01
similarPolicies:
  cloudConformity:
    - url: "https://www.trendmicro.com/cloudoneconformity/knowledge-base/gcp/CloudSQL/disable-local-infile-flag.html"
      name: "Disable 'local_infile' Flag for MySQL Database Instances"
